<template>
    <q-header bordered elevated class="bg-primary text-white" aria-label="Header">
      <q-toolbar>
        <q-toolbar-title class="row">
          <div class="col-2">
            <q-avatar class="cursor-pointer">
              <img src="~assets/nessie.svg" alt="nessie-logo" class="some_focus" @click="$router.push({'path': '/'})"
                   title="Home" tabindex="0">
            </q-avatar>
            <span class="taxonomy-viewer-word"><em>&nbsp;taxonomy viewer</em></span>
          </div>
          <div class="col-9">
            <span class="ellipsis ep_info q-px-md shadow-2">
              <span class="decorator">{{ nt_version }} - {{ dts_nice_name }}</span>
               <a :href="'/nta/validation-reports/' + nt_version_for_url(nt_version) + '/' + dts_name + '.html'"
       title="Bekijk het validatierapport voor dit entrypoint" target="_blank">
              <q-icon class="q-pl-sm" name="content_paste" color="black"></q-icon>
               </a>
            </span>
          </div>
        </q-toolbar-title>
        <LanguageSelector class="q-mr-md q-mt-sm col-1" :dts_name="dts_name"
                          :nt_version="nt_version"></LanguageSelector>
      </q-toolbar>
      <TopMenu :dts_name="dts_name" :nt_version="nt_version"></TopMenu>
    </q-header>

</template>

<script>
import LanguageSelector from "components/LanguageSelector";
import TopMenu from "components/TopMenu";
import SharedMethods from "components/SharedMethods";

export default {
  name: "AppHeader",
  created() {
    this.nt_version_for_url = SharedMethods.nt_version_for_url
  },
  components: {LanguageSelector, TopMenu},
  props: {
    dts_name: String,
    dts_nice_name: String,
    nt_version: String
  }
}
</script>

<style scoped lang="scss">
.ep_info {
  display: inline-block;
  margin-left: 30px;
  color: black;
  background-color: white;
  font-size: smaller;
  margin-bottom: -10px;
  border-radius: 5px;
}
.taxonomy-viewer-word {
  display: inline-block;
  vertical-align: bottom;
}
</style>
